package klaue.minecraftimagemap;

import java.awt.Color;

/**
 * Minecraft has 35 base IDs, for each of which 4 colors exist, see
 * http://minecraft.gamepedia.com/Map_item_format#Map_colors
 * @author klaue
 *
 */
public class MinecraftMapColor {
	private Color color = null;
	private int baseId = 0;
	private int colorId = 0;
	
	public MinecraftMapColor(Color color, int baseId, int colorId) {
		this.color = color;
		this.baseId = baseId;
		this.colorId = colorId;
	}

	public Color getColor() {
		return color;
	}

	public void setColor(Color color) {
		this.color = color;
	}

	public int getBaseId() {
		return baseId;
	}

	public void setBaseId(int baseId) {
		this.baseId = baseId;
	}

	public int getColorId() {
		return colorId;
	}

	public void setColorId(int colorId) {
		this.colorId = colorId;
	}
}
